## CongNodeModification

CongNodeModification —

## Synopsis

    struct      CongNodeModification;
    #define     CONG_NODE_MODIFICATION          (obj)
    #define     CONG_NODE_MODIFICATION_CLASS    (klass)
    #define     IS_CONG_NODE_MODIFICATION       (obj)
    GType       cong_node_modification_get_type (void);
    CongNodeModification* cong_node_modification_construct
                                                (CongNodeModification *node_modification,
                                                 CongDocument *doc,
                                                 CongNodePtr node);
    CongNodePtr cong_node_modification_get_node (CongNodeModification *node_modification);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongNodeModification
                   +----CongNodeModificationAddAfter
                   +----CongNodeModificationAddBefore
                   +----CongNodeModificationMakeOrphan
                   +----CongNodeModificationRemoveAttribute
                   +----CongNodeModificationSetAttribute
                   +----CongNodeModificationSetParent
                   +----CongNodeModificationSetText

## Description

## Details

### struct CongNodeModification

    struct CongNodeModification;

### CONG_NODE_MODIFICATION()

    #define CONG_NODE_MODIFICATION(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_NODE_MODIFICATION_TYPE, CongNodeModification)

`obj` : |

### CONG_NODE_MODIFICATION_CLASS()

    #define CONG_NODE_MODIFICATION_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_NODE_MODIFICATION_TYPE, CongNodeModificationClass)

`klass` : |

### IS_CONG_NODE_MODIFICATION()

    #define IS_CONG_NODE_MODIFICATION(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_NODE_MODIFICATION_TYPE)

`obj` : |

### cong_node_modification_get_type ()

    GType       cong_node_modification_get_type (void);

Returns : |

### cong_node_modification_construct ()

    CongNodeModification* cong_node_modification_construct
                                                (CongNodeModification *node_modification,
                                                 CongDocument *doc,
                                                 CongNodePtr node);

TODO: Write me

`node_modification` : |
`doc` : |
`node` : |
Returns : |

### cong_node_modification_get_node ()

    CongNodePtr cong_node_modification_get_node (CongNodeModification *node_modification);

TODO: Write me

`node_modification` : |
Returns : |